
Ruby - Bug #1579

TestGDBM failure in mingw

06/06/2009 03:51 AM - rogerdpack (Roger Pack)

Status: Third Party's Issue   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version: 1.9.1   

ruby -v: ruby mingw Backport:  

Description

=begin

These also failed in 1.8.6, so this is somewhat historic.

1. Failure:

test_reorganize(TestGDBM)

[c:/dev/downloads/ruby_trunk/test/gdbm/test_gdbm.rb:592]:

expected but was

.

2. Failure:

test_s_open_create_new(TestGDBM)

[c:/dev/downloads/ruby_trunk/test/gdbm/test_gdbm.rb:86]:

<420> expected but was

<438>.

3. Failure:

test_s_open_error(TestGDBM)

[c:/dev/downloads/ruby_trunk/test/gdbm/test_gdbm.rb:201]:

Errno::EACCES expected but nothing was raised.

Thanks!

-=r

=end

History

#1 - 07/13/2009 11:24 PM - yugui (Yuki Sonoda)

- Assignee set to nobu (Nobuyoshi Nakada)

- Target version set to 1.9.1

=begin

=end

#2 - 04/16/2010 06:53 PM - usa (Usaku NAKAMURA)

- Status changed from Open to Third Party's Issue

=begin

These are the restrictions of win32 port of GDBM.

=end
